Bug 225513 - CVE-2007-0452 Samba smbd denial of service
Summary: CVE-2007-0452 Samba smbd denial of service
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard: reported=20070130,source=samba,impact...
Keywords: Security
: 227993 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 00:24 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0060
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 19:13:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch (5.87 KB, patch)
2007-01-31 00:33 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0060 normal SHIPPED_LIVE Moderate: samba security update 2007-02-15 19:13:47 UTC

Description Josh Bressers 2007-01-31 00:24:58 UTC
A bug has been found in Samba that can allow an authenticated user to cause a
child smbd process to enter an infinite loop.  The definition is rather
complicated so I'm going to paste the description from the upstream Samba advisory:

    Internally Samba's file server daemon, smbd, implements
    support for deferred file open calls in an attempt to serve
    client requests that would otherwise fail due to a share mode
    violation.  When renaming a file under certain circumstances
    it is possible that the request is never removed from the deferred
    open queue.  smbd will then become stuck is a loop trying to
    service the open request.

    This bug may allow an authenticated user to exhaust resources
    such as memory and CPU on the server by opening multiple CIFS
    sessions, each of which will normally spawn a new smbd process,
    and sending each connection into an infinite loop.

Comment 1 Josh Bressers 2007-01-31 00:26:04 UTC
This flaw also affects RHEL3

Comment 2 Josh Bressers 2007-01-31 00:33:48 UTC
Created attachment 146985 [details]
Proposed upstream patch

Comment 3 Josh Bressers 2007-02-02 14:37:55 UTC
This is RHSA-2007:0060

Comment 4 Josh Bressers 2007-02-05 19:51:10 UTC
This flaw is now public:
http://us1.samba.org/samba/security/CVE-2007-0452.html

Comment 6 Jay Fenlason 2007-02-09 15:07:58 UTC
*** Bug 227993 has been marked as a duplicate of this bug. ***

Comment 9 Red Hat Bugzilla 2007-02-15 19:13:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0060.html



Note You need to log in before you can comment on or make changes to this bug.